%set_verify_elf_method none
%define _name epplets

Name: Epplets
Version: 0.7
Serial: 1
Release: alt1.1

Summary: applets for enlightenment
License: GPL
Group: Graphical desktop/Enlightenment
Url: http://www.enlightenment.org
Source: %_name-%version.tar.gz

# Automatically added by buildreq on Fri Dec 26 2003
BuildRequires: XFree86-devel-static eject esound-devel imlib-devel libGLU-devel libaudiofile-devel libglut-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel zlib-devel

BuildPreReq: ImageMagick
%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}


%description
Epplets are small, handy Enlightenment applets, similar to "dockapps"
or "applets" for other packages. The epplets package contains the base
epplet API library and header files, as well as the core set of epplets,
including CPU monitors, clocks, a mail checker, mixers, a slideshow,
a URL grabber, a panel-like toolbar, and more.

%prep
%setup -q -n %_name-%version

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure --prefix=%_x11dir --bindir=%_x11bindir --datadir=%_x11datadir --enable-fsstd %{subst_enable static}
%__perl -pi -e 's/ppp0/lo/g' epplets/E-NetGraph.c

%make_build

%install
%make_install DESTDIR=%buildroot install

cd %buildroot%_x11datadir/enlightenment/epplet_icons
for f in `find . -name '*.icon'`; do
  convert -geometry 16x16 $f $f.png
  mv -f $f.png $f
done

install -d 644 %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(Epplets):command="%_x11bindir/E-Areas.epplet" needs="e16" section="Epplets" title="E-Areas" longtitle="E-Areas"
?package(Epplets):command="%_x11bindir/E-Bandwidth.epplet" needs="e16" section="Epplets" title="E-Bandwidth" longtitle="E-Bandwidth"
?package(Epplets):command="%_x11bindir/E-Biff.epplet" needs="e16" section="Epplets" title="E-Biff" longtitle="E-Biff" icon="%_x11datadir/enlightenment/epplet_icons/E-Biff.icon"
?package(Epplets):command="%_x11bindir/E-Clock.epplet" needs="e16" section="Epplets" title="E-Clock" longtitle="E-Clock" icon="%_x11datadir/enlightenment/epplet_icons/E-Clock.icon"
?package(Epplets):command="%_x11bindir/E-Cpu.epplet" needs="e16" section="Epplets" title="E-Cpu" longtitle="E-Cpu" icon="%_x11datadir/enlightenment/epplet_icons/E-Cpu.icon"
?package(Epplets):command="%_x11bindir/E-Disk.epplet" needs="e16" section="Epplets" title="E-Disk" longtitle="E-Disk" icon="%_x11datadir/enlightenment/epplet_icons/E-Disk.icon"
?package(Epplets):command="%_x11bindir/E-Exec.epplet" needs="e16" section="Epplets" title="E-Exec" longtitle="E-Exec" icon="%_x11datadir/enlightenment/epplet_icons/E-Exec.icon"
?package(Epplets):command="%_x11bindir/E-GtkRc.epplet" needs="e16" section="Epplets" title="E-GtkRc" longtitle="E-GtkRc" icon="%_x11datadir/enlightenment/epplet_icons/E-GtkRc.icon"
?package(Epplets):command="%_x11bindir/E-Load.epplet" needs="e16" section="Epplets" title="E-Load" longtitle="E-Load" icon="%_x11datadir/enlightenment/epplet_icons/E-Load.icon"
?package(Epplets):command="%_x11bindir/E-LoadMeter.epplet" needs="e16" section="Epplets" title="E-LoadMeter" longtitle="E-LoadMeter"
?package(Epplets):command="%_x11bindir/E-Magic.epplet" needs="e16" section="Epplets" title="E-Magic" longtitle="E-Magic" icon="%_x11datadir/enlightenment/epplet_icons/E-Magic.icon"
?package(Epplets):command="%_x11bindir/E-MemWatch.epplet" needs="e16" section="Epplets" title="E-MemWatch" longtitle="E-MemWatch" icon="%_x11datadir/enlightenment/epplet_icons/E-MemWatch.icon"
?package(Epplets):command="%_x11bindir/E-Mixer.epplet" needs="e16" section="Epplets" title="E-Mixer" longtitle="E-Mixer" icon="%_x11datadir/enlightenment/epplet_icons/E-Mixer.icon"
?package(Epplets):command="%_x11bindir/E-MoonClock.epplet" needs="e16" section="Epplets" title="E-MoonClock" longtitle="E-MoonClock" icon="%_x11datadir/enlightenment/epplet_icons/E-MoonClock.icon"
?package(Epplets):command="%_x11bindir/E-Mountbox.epplet" needs="e16" section="Epplets" title="E-Mountbox" longtitle="E-Mountbox" icon="%_x11datadir/enlightenment/epplet_icons/E-Mountbox.icon"
?package(Epplets):command="%_x11bindir/E-Net.epplet" needs="e16" section="Epplets" title="E-Net" longtitle="E-Net" icon="%_x11datadir/enlightenment/epplet_icons/E-Net.icon"
?package(Epplets):command="%_x11bindir/E-NetFlame.epplet" needs="e16" section="Epplets" title="E-NetFlame" longtitle="E-NetFlame" icon="%_x11datadir/enlightenment/epplet_icons/E-NetFlame.icon"
?package(Epplets):command="%_x11bindir/E-NetGraph.epplet" needs="e16" section="Epplets" title="E-NetGraph" longtitle="E-NetGraph"
?package(Epplets):command="%_x11bindir/E-OpenGL-Demo.epplet" needs="e16" section="Epplets" title="E-OpenGL-Demo" longtitle="E-OpenGL-Demo" icon="%_x11datadir/enlightenment/epplet_icons/E-OpenGL-Demo.icon"
?package(Epplets):command="%_x11bindir/E-Pants.epplet" needs="e16" section="Epplets" title="E-Pants" longtitle="E-Pants" icon="%_x11datadir/enlightenment/epplet_icons/E-Pants.icon"
?package(Epplets):command="%_x11bindir/E-Pinger.epplet" needs="e16" section="Epplets" title="E-Pinger" longtitle="E-Pinger" icon="%_x11datadir/enlightenment/epplet_icons/E-Pinger.icon"
?package(Epplets):command="%_x11bindir/E-Power.epplet" needs="e16" section="Epplets" title="E-Power" longtitle="E-Power" icon="%_x11datadir/enlightenment/epplet_icons/E-Power.icon"
?package(Epplets):command="%_x11bindir/E-SD.epplet" needs="e16" section="Epplets" title="E-SD" longtitle="E-SD" icon="%_x11datadir/enlightenment/epplet_icons/E-SD.icon"
?package(Epplets):command="%_x11bindir/E-ScreenSave.epplet" needs="e16" section="Epplets" title="E-ScreenSave" longtitle="E-ScreenSave" icon="%_x11datadir/enlightenment/epplet_icons/E-ScreenSave.icon"
?package(Epplets):command="%_x11bindir/E-ScreenShoot.epplet" needs="e16" section="Epplets" title="E-ScreenShoot" longtitle="E-ScreenShoot" icon="%_x11datadir/enlightenment/epplet_icons/E-ScreenShoot.icon"
?package(Epplets):command="%_x11bindir/E-Slides.epplet" needs="e16" section="Epplets" title="E-Slides" longtitle="E-Slides" icon="%_x11datadir/enlightenment/epplet_icons/E-Slides.icon"
?package(Epplets):command="%_x11bindir/E-Sys.epplet" needs="e16" section="Epplets" title="E-Sys" longtitle="E-Sys" icon="%_x11datadir/enlightenment/epplet_icons/E-Sys.icon"
?package(Epplets):command="%_x11bindir/E-Time.epplet" needs="e16" section="Epplets" title="E-Time" longtitle="E-Time" icon="%_x11datadir/enlightenment/epplet_icons/E-Time.icon"
?package(Epplets):command="%_x11bindir/E-Toolbox.epplet" needs="e16" section="Epplets" title="E-Toolbox" longtitle="E-Toolbox"
?package(Epplets):command="%_x11bindir/E-UrlWatch.epplet" needs="e16" section="Epplets" title="E-UrlWatch" longtitle="E-UrlWatch" icon="%_x11datadir/enlightenment/epplet_icons/E-UrlWatch.icon"
?package(Epplets):command="%_x11bindir/E-Wireless.epplet" needs="e16" section="Epplets" title="E-Wireless" longtitle="E-Wireless" icon="%_x11datadir/enlightenment/epplet_icons/E-Wireless.icon"
?package(Epplets):command="%_x11bindir/E-Xss.epplet" needs="e16" section="Epplets" title="E-Xss" longtitle="E-Xss" icon="%_x11datadir/enlightenment/epplet_icons/E-Xss.icon"
?package(Epplets):command="%_x11bindir/Emix.epplet" needs="e16" section="Epplets" title="Emix" longtitle="Emix" icon="%_x11datadir/enlightenment/epplet_icons/Emix.icon"
EOF

%post
%update_menus
%post_ldconfig
%postun 
%clean_menus
%postun_ldconfig

%files
%_x11bindir/*
%_includedir/*
%_libdir/lib*
%_x11datadir/enlightenment/*
%_menudir/*
#exclude %_libdir/libepplet.la

%changelog
* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1:0.7-alt1.1
- Rebuilt with libtiff.so.4.

* Fri Nov 07 2003 Alex Murygin <murygin@altlinux.ru> 1:0.7-alt1
- new version
- spec cleaning
- data and bin files moved to /bin/X11R6 dir
- added menu file
- summary changed
- removed .la
- added ImageMagick to buildreq

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 1:0.5-alt1
- rebuilt with gcc-3.2

* Tue Jan 29 2002 AEN <aen@logic.ru> 0.5-ipl9mdk
- build with gcc-2.96

* Thu Oct 11 2001 AEN <aen@logic.ru> 0.5-ipl8mdk
- Rebuilt with libpng.so.3

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-5mdk
- automatically added BuildRequires

* Fri May  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-4mdk
- clean spec.
- resize icons to fit in menu.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-3mdk
- fixed group.

* Wed Dec 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Ooops, do not install files to /home (bad bad axalon)

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.5
- rpmlint says strip, we strip
- patch E-NetGraph to default to loopback so it doesn't just exit

* Sun Oct 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Make a specfile..
